/* 
 * File:   filter_acts_kernel.cuh
 * Author: Alex Krizhevsky
 *
 * Created on January 31, 2011, 3:43 PM
 */

#ifndef RECON_HID_KERNEL_CUH
#define	RECON_HID_KERNEL_CUH

#include <cutil_inline.h>
#include <nvmatrix.cuh>
#include "../common.h"

void computeFilterActs(NVMatrix& images, NVMatrix& weights, NVMatrix& targets,
                       int numModulesX, int paddingStart, int moduleStride, int numColors,
                       FILTER_OUTPUT_ORDER targetsOrder);

#endif	/* RECON_HID_KERNEL_CUH */

